/*
Theme Name: saadconsultingengineering
Theme URI: https://www.portotheme.com/wordpress/porto
Author: P-THEMES
Author URI: https://www.portotheme.com/
Description: Porto Responsive WordPress + eCommerce Theme.
Version: 1.1
Template: porto
License: Commercial
License URI: http://themeforest.net/licenses/regular_extended
Tags: woocommerce, corporate, ecommerce, responsive, blue, black, green, white, light, dark, red, two-columns, three-columns, four-columns, left-sidebar, right-sidebar, fixed-layout, responsive-layout, custom-menu, editor-style, featured-images, flexible-header, full-width-template, microformats, post-formats, rtl-language-support, sticky-post, theme-options, translation-ready, accessibility-ready
*/

/*************** ADD YOUR CUSTOM CSS HERE  ***************/
:root {
	--container-default-padding-right: 12px;
	--container-default-padding-left: 12px;
	--porto-column-spacing: 0;
	/* fix block builder */
	--porto-fluid-spacing: 12px
}

/* Fonts and Text Styles and Sizes*/
html {
	font-size: 15px;
}

* {
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

p {
	font-size: 1rem
}

h1,
.h1,
h2,
.h2,
h3,
.h3,
h4,
.h4,
h5,
.h5,
h6,
.h6,
.elementor-heading-title,
h3.porto-sicon-title,
h3.elementor-flip-box__layer__title,
.porto-u-heading {
	margin-bottom: 0;
	letter-spacing: 0;
}

h1,
.h1,
.page-top .page-title {
	font-size: 2.5rem;
	line-height: 1.2;
}

.home-page-slider h1 {
	font-size: 2.5rem !important;
	line-height: 1.2 !important;
}

h2,
.h2 {
	font-size: 2.3rem;
	line-height: 1.2 !important;
}

h3,
.h3,
h3.elementor-flip-box__layer__title {
	font-size: 2rem;
	line-height: 1.2 !important;
}

h4,
.h4,
h3.porto-sicon-title {
	font-size: 1.5rem;
	line-height: 2.25rem !important;
}

h5,
.h5 {
	font-size: 1.25rem;
	line-height: 2rem !important;
}

h6,
.h6,
h2.pp-tiled-post-title {
	font-size: 1rem;
	line-height: 1.75rem !important;
}

h1, h2, h3 {
	font-weight: 700;
}

.page-top .page-title {
    letter-spacing: 0;
}

/* Container Sizes */
.container-fluid .vc_section:not(.porto-inner-container),
.container-fluid .elementor-top-section,
.nd-wrap-breadcrumb,
.e-parent>.e-con-inner {
	padding-right: 12px;
	padding-left: 12px;
}

.header-row.container,
.footer-bottom .container,
.page-top .container,
#header .container,
.error404 .container {
	padding-right: 12px;
	padding-left: 12px;
}

#header .porto-narrow-sub-menu a {
	font-size: 16px;
	font-family: 'Mulish';
}

.container,
.container-lg,
.container-md,
.container-sm,
.container-xl,
.container-xxl,
.container-fluid {
	padding-right: 0px;
	padding-left: 0px;
}

.full-width-container {
	padding-right: 0;
	padding-left: 0;
}

.container-fluid .elementor-top-section.nd-wrap-breadcrumb,
.container-fluid .elementor-top-section.nd-wrap-cta,
.container-fluid .elementor-top-section {
	margin-left: -12px;
	margin-right: -12px;
}

.elementor-section>.elementor-column-gap-default {
	margin-left: 12px;
	margin-right: 12px;
}

.archive .page-top,
.single .page-top,
.blog .page-top{
   border-bottom: 5px solid #cccccc;
    height: 600px;
    display: flex;
    align-items: center;
    background-blend-mode: multiply;
    background-image: linear-gradient(0deg, rgba(26, 26, 26, 0.40) 0%, rgba(26, 26, 26, 0.40) 100%), url(/wp-content/uploads/2023/11/electrical-design-solutions-banner.jpg);
}

/* Fonts and Text Styles and Sizes */
.container-fluid .vc_section:not(.porto-inner-container) {
	padding-right: 12px;
	padding-left: 12px
}

.header-row.container,
.footer-bottom .container,
.page-top .container {
	padding-right: 12px;
	padding-left: 12px
}

.container-fluid .elementor-top-section.nd-wrap-breadcrumb,
.container-fluid .elementor-top-section.nd-wrap-cta {
	margin-left: -12px;
	margin-right: -12px
}

/*Fix Bootstrap */
.nd-col-half-section {
	width: 100%;
	min-height: 1px;
	position: relative;
	max-width: 1163px;
	/* 	padding-left: 12px; */
}

/* Hero Section */
.container-fluid .block-parent-fix-bootstrap {
	margin-left: -12px;
	margin-right: -12px;
	padding-left: 12px;
	padding-right: 12px
}

#hero-video {
	height: 100vh
}

/* End Hero Section */


/* Portfolio */

h2.portfolio-archive-title {
    display: none
}

.portfolio-row .portfolio-col-3{
	padding: 10px
}

ul.portfolio-filter.nav.sort-source.nav-pills.porto-ajax-filter {
    justify-content: center
}

/* Blog */

.grid-box {
    border-radius: 24px 24px 24px 24px;
    box-shadow: 0 0 5px 0 rgb(113 120 132 / 28%);
    padding-bottom: 20px;
}

.post-content,
.post-meta{
    padding: 0 20px;
}

a.btn.btn-xs.btn-default.text-xs.text-uppercase.btn-readmore {
    margin: 0 20px;
    background-color: var(--porto-primary-color,#CCC);
    color: #fff;
    font-size: 1rem !important;
    padding: 0.5rem 1rem;
    text-transform: capitalize !important;
}

.owl-carousel .owl-item img.owl-lazy {
    border-radius: 20px 20px 0 0;
}

.sidebar-content {
    padding: 20px;
    border: 1px solid #dee2e6 !important;
}

@keyframes fadeIn {
	0% {
		opacity: 0
	}

	100% {
		opacity: 1
	}
}

.header-top .header-contact a,
.header-top .custom-html a:not(.btn),
#header .header-top .top-links>li.menu-item>a,
.header-top .welcome-msg a {
	color: #39004d
}

.header-top .header-contact a:hover,
.header-top .custom-html a:not(.btn):hover,
#header .header-top .top-links>li.menu-item.active>a,
#header .header-top .top-links>li.menu-item:hover>a,
#header .header-top .top-links>li.menu-item>a.active,
#header .header-top .top-links>li.menu-item.has-sub:hover>a,
.header-top .welcome-msg a:hover {
	color: #c481fd
}

#header .header-top .header-contact,
#header .header-top .nav-top {
	font-size: 1rem;
	letter-spacing: normal
}

.header-main {
    background-color: rgba(255, 255, 255, 0) !important;
    position: fixed !important;
    width: 100%;
    padding: 0.5rem 0px;
    margin: 0px;
    z-index: 100;
}

.sticky-header .header-main {
	background: #25408e82 !important;
}

#header.sticky-header .main-menu > li.menu-item.active > a, 
#header.sticky-header .main-menu > li.menu-custom-content.active a {
  color: #ffffff;
}

/* #header.sticky-header .main-menu > li.menu-item > a {
	color: #1A1A1A;
} */

#header.sticky-header .main-menu > li.menu-item.active > a {
    background-color: #ffffff;
    color: #25408e;
}

#header.sticky-header .main-menu > li.menu-item:hover > a, 
#header.sticky-header .main-menu > li.menu-item.active:hover > a, 
#header.sticky-header .main-menu > li.menu-custom-content:hover a,
#header.sticky-header .main-menu > li.menu-item.has-sub:hover > a{
    color: #14B2E7;
}

#header .main-menu .narrow li.menu-item:hover > a, 
#header .main-menu .wide li.menu-item li.menu-item:hover > a {
    color: #14B2E7;
    background-color: transparent;
}

/* Sub Menu Link Hover */
.mobile-menu.accordion-menu .has-sub .arrow {
	width: 100%;
	height: 30px;
	z-index: 55;
	text-align: right;
}

.mobile-menu .menu-item a {
	font-size: 1rem !important;
}

.accordion-menu li.menu-item>a {
	line-height: 32px;
	font-weight: 600;
}

#side-nav-panel .accordion-menu .has-sub .arrow {
	width: 100%;
	height: 53px;
	/* can be 30px or 32px depends on font sizes or height */
	z-index: 55;
	text-align: right;
}

#side-nav-panel .accordion-menu .arrow {
	right: 10px
}

/* Sub Menu Link Hover */

.py-6 {
	padding-top: 6rem;
	padding-bottom: 6rem
}

.nd-mb-2r {
	margin-bottom: 2rem !important
}

/* fix logo h1 */
#header .logo {
	line-height: 0 !important
}
/* fix logo h1 */

/* padding sub menu */

.mega-menu .popup {
    padding-top: 8px !important;
    padding-left: 13px !important;
}

.sticky .mega-menu .popup {
    padding-top: 17px !important;
}

/* Fix Contact Form 7 Spinner and Response */
.wpcf7-response-output {
	margin-left: 0 !important;
	margin-right: 0 !important;
	color: #000000 !important;
}

.wpcf7-spinner {
	margin: 12px 24px;
}

/* Move reCAPTCHA v3 badge to the left */
.grecaptcha-badge {
	width: 70px !important;
	overflow: hidden !important;
	transition: all .3s ease !important;
	left: 4px !important;
	z-index: 1030
}

.grecaptcha-badge:hover {
	width: 256px !important
}

/* bullets */
.nd-bullets ul:not(.list) {
	padding-left: 0;
	margin: 1.5rem 0
}

.nd-bullets ul li,
.nd-bullets ul:not(.list) li {
	position: relative;
	line-height: 1.6;
	list-style: none;
	margin-bottom: 1.5rem;
	padding-left: 2.4rem
}

.nd-bullets ul:not(.list) li:before {
	content: "\f06c";
	font-family: 'Font Awesome 5 Free';
	font-weight: 900;
	-webkit-font-smoothing: antialiased;
	display: inline-block;
	font-style: normal;
	font-variant: normal;
	text-rendering: auto;
	line-height: 1;
	border-radius: 50%;
	width: 1.5rem;
	height: 1.5rem;
	text-align: center;
	padding: 5px;
	color: var(--porto-primary-color);
	border: var(--e-global-color-text) solid 0;
	margin-right: .7rem;
	position: absolute;
	left: 0;
	top: 0;
	/* background-color: var(--e-global-color-primary); */
}

/* bullets */
/* Header */
/* Footer */
/*fr theme options */
/* home hero banner */
.home-top-banner {
	position: absolute;
	width: 100%;
	left: 0;
	right: 0;
	bottom: 3rem;
	z-index: 10
}

.nd-d1 h1 {
	font-size: 4.5rem;
	font-weight: 700;
	line-height: 1.3;
	text-shadow: 1px 1px 3px rgba(12, 32, 49, 0.4)
}

.nd-d1 h1 {
	font-size: clamp(3.5rem, 5.3vw + 1.2rem, 4.5rem)
}

.nd-text-shadow {
	text-shadow: 1px 1px 3px rgba(12, 32, 49, 0.4)
}

.nd-mt-n-2 {
	margin-top: -.75rem
}

.nd-center-parent {
	height: 100%;
	display: -ms-grid;
	display: grid;
	position: relative
}

.nd-center-child {
	margin: auto
}

.nd-cover-hero .nd-center-child {
	margin: auto;
	position: absolute;
	bottom: 0
}

.nd-cover {
	height: 80vh;
	min-height: 600px;
	height: fit-content
}

.nd-cover-hero {
	height: 80vh;
	min-height: 600px;
	position: relative
}

.e-con-py-0>.e-con-inner {
	padding-bottom: 0rem;
	padding-top: 0rem;
}

.e-con-px-0 {
	padding-left: 0 !important;
	padding-right: 0 !important;
}

.e-con-pt-0>.e-con-inner {
	padding-top: 0rem;
}

.e-con-pb-0>.e-con-inner {
	padding-bottom: 0rem;
}

.container-full-column {
	padding: 0 12px;
}

.right-text-full-column {
	max-width: 828px;
}

.auto-padding {
	padding: calc(1rem + 1.5625vw);
}

.auto-padding-text-with-bg {
	padding: calc(1.875rem + 1.5625vw);
}

.auto-padding-0-left,
.auto-padding-0-right, .right-text-full-column,
.left-text-full-column {
	padding: calc(2.813rem + 1.5625vw) 0;
}

.auto-padding-y {
	padding-top: calc(2.813rem + 1.5625vw);
	padding-bottom: calc(2.813rem + 1.5625vw);
}

.auto-padding-x {
	padding-right: calc(0.813rem + 1.5625vw);
	padding-left: calc(0.813rem + 1.5625vw);
}

.nd-min-640 {
	min-height: 320px;
}

.con-wrap .e-flex {
	justify-content: space-between;
}

.archive .container,
.single .container,
.blog .container{
    padding: 0 12px;
}

#menu-main-menu li a,
#menu-main-menu-1 li a,
#menu-main-menu li a.current {
	font-weight: 600 !important;
}

.sticky-header .sticky{
	box-shadow: 10px 0 10px 15px #00000012 !important;
}

.footer ul {
	list-style: none;
	padding-left: 0;
}

.footer li {
	padding-bottom: 10px;
}

.footer li a {
	color: #FFFFFF !important;
}

.footer li .f-items:hover,
.footer a:hover{
	color: #14B2E7 !important;
}

.footer-logo img {
	width: 180px;
}

.footer-menu .footer-menu-header .porto-u-main-heading {
	text-align: left;
	font-weight: 700;
}

.ti-widget-container{
	margin-bottom: 0 !important;
}

.form-control {
	font-size: 1rem !important;
	padding: 1rem !important;
}

.btn-form-group p {
	margin-bottom: 0;
}

.wpcf7-response-output{
	color: white;
}

span.wpcf7-not-valid-tip {
	color: #c73a3a;
}

#header .header-top .separator {
	border-left-color: rgb(255 255 255);
}

#header .separator {
	border-left: 1px solid rgb(255 255 255);
}

.header-top .custom-html a:not(.btn){
	color: white;
	font-size: 1rem;
}

.header-top .custom-html a:not(.btn):hover{
	color: white;
}

.mega-menu .popup {
	padding-top: 37px;
}

.sticky .mega-menu .popup {
	padding-top: 13px;
}

#side-nav-panel>.menu-wrap {
    padding-top: 45px;
}

.side-nav-panel-close{
 color: #0075FF !important;
}

/* Paddings */
.pb-6-25{
	padding-bottom: 0;
}

.py-5 {
	padding-top: 3rem !important;
	padding-bottom: 3rem !important;
}

.pt-5 {
    padding-top: 3rem !important;
}

.pb-5 {
    padding-bottom: 3rem !important;
}

.my-5 {
	margin-top: 3rem !important;
	margin-bottom: 3rem !important;
}

/* Fonts */
.a-primary:hover{
	color: white !important;
}

.fw-600{
	font-weight: 600;
}

.text-black, h6{
	color: #3A3A3A;
}

.text-gray {
	color: #757575;
}

.text-sm-center-custom {
	text-align: center;
}

.ws-vertical{
	word-spacing: 0;
}

.text-white h1, 
.text-white h2,
.text-white h3 {
	color: white;
}

.align-left h1, 
.align-left h2,
.align-left h3 {
	text-align: left;
}

.lead-p p {
	font-size: 1.25rem;
}

.lead-p-mb-0 p {
	font-size: 1.25rem;
	margin-bottom: 0;
}

.lead-p-2 p {
	font-size: 1.25rem;
	font-weight: 700;
}

.lead-p-2-mb-0 p {
	font-size: 1.25rem;
	font-weight: 700;
	margin-bottom: 0;
}

/* ND Min Height Starts */
/* Check media query 992px for larger screen settings, if not existing please create one.*/
/* Adjust based on website requirements.*/
.nd-min-800 {
	min-height: 400px;
}

.nd-min-700 {
	min-height: 700px;
}

.nd-min-600 {
	min-height: 500px;
}

.nd-min-500 {
	min-height: 300px;
}

.nd-min-500-sm-0 {
	min-height: 0;
}

.nd-min-400 {
	min-height: 400px;
}

.nd-min-300 {
	min-height: 300px;
}

.nd-min-300-0-sm {
	min-height: 0;
}
/* ND Min Height Ends */

/* Custom CSS*/
.inside-page-heading {
	z-index: 2;	
}

.inside-page-heading .page-title-wrap .page-title {
	margin-bottom: 0 !important;
	letter-spacing: 0 !important;
}

.inside-page-heading .breadcrumbs-wrap {
	display: flex;
	justify-content: center;
}

.inside-page-heading .breadcrumbs-wrap ul.breadcrumb>li,
.page-top ul.breadcrumb>li .delimiter,
.page-top ul.breadcrumb>li{
	font-weight: 700;
	font-size: 1rem;
}

.inside-page-heading .page-top,
.inside-page-heading .page-top .container {
	padding: 0;
}

.inside-page-heading .page-title {
	text-align: center;
}

.wrap-heading .page-title {
	overflow-wrap: anywhere;
}

#footer {
	background: none;
}

/* This will hide Contact Form CTA in Contact Page, Change page Id with the correct one. Use inspector element in your browser to get page Id. */
.page-id-1018 .footer-wrapper #footer .porto-block .footer-cta-1 {
	display: none;
}

.page-id-1018 .footer-wrapper #footer .porto-block .footer-cta-2 {
	display: block !important;
}

.contact-submit-btn {
	font-weight: 600;
}

#header .logo .standard-logo {
    width: 180px;
}


div.e-grid .e-con-inner {
	display: flex;
	flex-wrap: wrap;
}

.banner-overlay::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(0deg, rgba(26, 26, 26, 0.40) 0%, rgba(26, 26, 26, 0.40) 100%);
    opacity: 1;
    z-index: 1;
}

.section-banner-overlay::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(180deg, #00000000 40%, #000000 100%);
    opacity: 1;
    z-index: 1;
}

.section-banner-overlay > * {
    z-index: 100;
}

.sb-right-overlay::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
	background-image: linear-gradient(-90deg, #00000000 0%, #000000 100%);
	opacity: .7;
	z-index: 1;
}

.sb-right-overlay > * {
    z-index: 100;
}

.negative-container {
	margin-top: -185px;
}

.negative-container-2 {
	margin-top: -160px;
	margin-bottom: 3rem !important;
}

.negative-container-3 {
	margin-top: -224px;
	margin-bottom: 3rem !important;
}

.home-header-container {
	z-index: 0;
}

.home-page-slider {
	z-index: 0;
}

/* .home-page-slider .swiper-slide-bg::after {
	content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(0deg, #14b2e721 0%, #14b2e721 100%);
    opacity: 1;
} */

.home-page-slider .elementor-widget-container .elementor-swiper 
.swiper-wrapper .swiper-slide  {
	height: 600px;
}

.home-page-slider .elementor-widget-container .elementor-swiper 
.swiper-wrapper .swiper-slide .swiper-slide-inner {
	justify-content: center;
	align-items: center;
	margin-top: 6rem;
}

.home-page-slider .elementor-widget-container .elementor-swiper 
.swiper-wrapper .swiper-slide .swiper-slide-inner .swiper-slide-contents {
	background: #1A1A1A85;
	padding: calc(1rem + 1.5625vw);
	display: grid;
    gap: 24px;
	align-items: center;
}

.home-page-slider .elementor-widget-container .elementor-swiper 
.swiper-wrapper .swiper-slide .swiper-slide-inner .swiper-slide-contents
.elementor-slide-heading {
	margin-bottom: 0;
	color: white;
}

.home-page-slider .elementor-widget-container .elementor-swiper 
.swiper-wrapper .swiper-slide .swiper-slide-inner .swiper-slide-contents
.elementor-button {
	transition: color 0.15s,background-color 0.15s,border-color 0.15s,box-shadow 0.15s,transform 0.2s;
    cursor: pointer;
	padding: 16px 30px;
    width: 147px;
	border-radius: 0;
	justify-self: start
}

/* Z-Index */
.z-0 {
	z-index: 0;
}

.z-1 {
	z-index: 1;
}

.z-2 {
	z-index: 2;
}

.z-3 {
	z-index: 3;
}
.z-4 {
	z-index: 4;
}

.z-5 {
	z-index: 5;
}

.z-n1 {
	z-index: -1;
}

.cta-our-services .elementor-widget-container .elementor-icon-box-wrapper .elementor-icon-box-icon a,
.cta-our-services .elementor-widget-container .elementor-icon-box-wrapper .elementor-icon-box-content .elementor-icon-box-title a {
	display: block;
	width: 100%;
}

.cta-our-services .elementor-widget-container .elementor-icon-box-wrapper .elementor-icon-box-icon {
	margin-left: 0 !important;
}

#menu-main-menu>li.has-sub>a:after {
    display: inline-block;
    content: "\e81c";
    font-family: "porto";
    font-weight: 400;
    font-size: 1em;
    margin: 0 0 0 10px;
    line-height: 1;
}

.about-us-video .elementor-video {
	min-height: 100%;
}

.project-item .elementor-flip-box {
	min-height: 400px;
}

.project-item .elementor-flip-box__layer__description {
	font-size: 1rem;
    line-height: 24px;
}

.project-item .elementor-flip-box__layer__description ul li {
    line-height: 24px;
}

.btn-white {
	background: #ffffff;
}

/* No media query since this is the default in Bootstrap */
/* Small devices (landscape phones, 576px and up)  */
@media (min-width: 576px) {
/* 	.e-con-py-0>.e-con-inner {
		padding-bottom: 0;
		padding-top: 0;
	} */
	
	.e-con-pt-0>.e-con-inner {
		padding-top: 0;
	}
	
	.e-con-pb-0>.e-con-inner {
		padding-bottom: 0;
	}

	.auto-padding-text-with-bg {
		padding: calc(2.813rem + 1.5625vw);
	}
	
	.nd-min-500-0-sm,
	.nd-min-300-0-sm {
		min-height: 300px;
	}
}

/* Medium devices (tablets, 768px and up)  */
@media (min-width: 768px) {
	.nd-min-640 {
		min-height: 640px;
	}

	.right-text-full-column {
		padding: calc(2.813rem + 1.5625vw);
	}

	.left-text-full-column {
		padding: 0 calc(2.813rem + 1.5625vw) 0 0;
	}
	
	.text-sm-center-custom {
		text-align: left;
	}
	
	.ws-vertical{
		word-spacing: 100vw;
	}
	
	.auto-padding-x {
		padding-right: calc(0.813rem + 1.5625vw);
		padding-left: calc(0.813rem + 1.5625vw);
	}
}

@media (min-width: 480px) and (max-width: 576px) {
	.elementor-image-gallery .gallery.gallery-columns-6 .gallery-item {
		max-width: 50%;
	}
}

@media (min-width: 577px) and (max-width: 991px) {
	.elementor-image-gallery .gallery.gallery-columns-6 .gallery-item {
		max-width: 33.33%;
	}
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
	html {
		font-size: 16px;
	}
	
	.py-5 {
		padding-top: 4.5rem !important;
		padding-bottom: 4.5rem !important;
	}
	
	.my-5 {
		margin-top: 4.5rem !important;
		margin-bottom: 4.5rem !important;
	}
	
	.py-lg-5 {
		padding-top: 4.5rem !important;
		padding-bottom: 4.5rem !important;
	}
	
	.pt-5 {
		padding-top: 4.5rem !important;
	}

	.pb-5 {
		padding-bottom: 4.5rem !important;
	}
	
	.negative-container-2, .negative-container-3 {
		margin-bottom: 4.5rem !important;
	}
	
	.lead {
		font-size: 18px;
	}
	
	.pb-6-25{
		padding-bottom: 6.25rem;
	}
	
	.nd-min-800 {
		min-height: 800px;
	}
	
	.nd-min-600 {
		min-height: 600px;
	}
	
	.nd-min-500,
	.nd-min-500-sm-0 {
		min-height: 500px;
	}

	.auto-padding-0-left {
		padding: calc(2.813rem + 1.5625vw);
		padding-left: 0;
	}

	.auto-padding-0-right {
		padding: calc(2.813rem + 1.5625vw);
		padding-right: 0;
	}
		
	div.e-grid .e-con-inner {
		display: grid;
	}
	
	.home-page-slider .elementor-widget-container .elementor-swiper 
	.swiper-wrapper .swiper-slide .swiper-slide-inner {
		align-items: flex-end;
		margin-top: 0;
	}
	
	.home-page-slider .elementor-widget-container .elementor-swiper 
	.swiper-wrapper .swiper-slide  {
		height: 800px;
	}
	
	h1,
	.h1,
	.page-top .page-title {
		font-size: clamp(3.5rem, 1.3vw + 2.9rem, 4.5rem);
	}
	
	.home-page-slider h1 {
		font-size: clamp(3.5rem, 1.3vw + 2.9rem, 4.5rem) !important;
	}
	
	h2,
	.h2 {
		font-size: 3rem;
	}

	.about-us-video .elementor-video {
		min-height: 800px;
	}
}


@media (min-width: 992px) and (max-width: 1200px) {
	.con-wrap .e-con-full.e-flex {
		flex-wrap: wrap;
	}
}

@media (min-width: 992px) and (max-width: 1163px) {

	.elementor-section.elementor-section-boxed>.elementor-container,
	.container-xxl,
	.container-xl,
	.container-lg,
	.container-md,
	.container-sm,
	.container {
		max-width: 100%
	}
}

/* Extra large devices (large desktops, 1164px and up) */
@media (min-width: 1164px) {
	.nd-col-half-section {}
}

@media (min-width: 1164px) and (max-width: 1727px) {

	.elementor-section.elementor-section-boxed>.elementor-container,
	.container-xxl,
	.container-xl,
	.container-lg,
	.container-md,
	.container-sm,
	.container {
		max-width: 100%
	}
}

/* new to fix responsivenes nd-wrap */
@media (min-width: 1728px) and (max-width: 1799px) {

	.elementor-section.elementor-section-boxed>.elementor-container,
	.container-xxl,
	.container-xl,
	.container-lg,
	.container-md,
	.container-sm,
	.container {
		max-width: 100%;
		padding-right: 12px;
		padding-left: 12px
	}
}

@media (min-width: 1200px) {
	.home-page-slider .elementor-widget-container .elementor-swiper 
	.swiper-wrapper .swiper-slide .swiper-slide-inner .swiper-slide-contents {
		display: grid;
		grid-template-columns: 70% 28%;
		align-items: center;
	}
	
	.home-page-slider .elementor-widget-container .elementor-swiper 
	.swiper-wrapper .swiper-slide .swiper-slide-inner .swiper-slide-contents
	.elementor-button {
		justify-self: end;
	}
	
	body.single-post .img-thumbnail img {
		max-height: 70vh;
		object-fit: cover
	}

	.nd-cover {
		min-height: 786px;
		height: fit-content
	}

	.nd-cover-hero {
		min-height: 786px
	}
	
	.ws-vertical{
		word-spacing: 0;
	}
}

@media (min-width: 1400px) {}

@media (min-width: 1600px) {}

@media (min-width: 1680px) and (max-width: 1799px) {

	.container-xxl,
	.container-xl,
	.container-lg,
	.container-md,
	.container-sm,
	.container {
		max-width: 1680px
	}

	.nd-col-half-section {
		max-width: 816px !important;
	}

	.nd-wrap {
		max-width: 1656px;
		margin-right: auto !important;
		margin-left: auto !important
	}
}

@media (min-width: 1800px) {

	.container-xxl,
	.container-xl,
	.container-lg,
	.container-md,
	.container-sm,
	.container {
		max-width: 1680px
	}

	.nd-wrap {
		max-width: 1680px;
		margin-right: auto !important;
		margin-left: auto !important;
		padding-right: 12px;
		padding-left: 12px
	}

	.nd-col-half-section {
		max-width: 816px !important
	}
}

@media (max-width: 767px){
	html #topcontrol {
		display: block;
	}
}

@media (max-width: 1200px) {
	.nd-col-half-section {
		margin-left: auto;
		margin-right: auto
	}
}

@media (max-width: 1169px) {}

@media (max-width: 1024px) {}

@media screen and (max-width: 991px) {
	.nd-col-half-section .e-con-inner {
		padding-top: 0px;
		padding-bottom: 0px;
	}

	.con-wrap.e-con.e-flex>.e-con-inner,
	.con-wrap-inner.e-con.e-flex>.e-con-inner {
		flex-wrap: wrap;
	}
}

@media screen and (max-width: 768px) {}

@media screen and (max-width: 575px) {

	/* fix for block builder */
	:root {
		--porto-fluid-spacing: 12px
	}
}

@media (max-width: 1699px) {
	.e-parent>.e-con-inner {
		padding-right: 0 !important;
		padding-left: 0 !important;
	}

	.e-parent {
		padding-right: 12px;
		padding-left: 12px;
	}

	.full-width-container {
		padding-right: 0 !important;
		padding-left: 0 !important;
	}
}

@media screen and (max-width:480px) {}

@media screen and (max-width:360px) {}